Skip to main content
POST
/
teams
/
reputation
/
batch
Batch team-reputation lookup (auth required)
curl --request POST \
  --url https://api.mnemom.ai/v1/teams/reputation/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "team_ids": [
    "<string>"
  ]
}
'
{
  "scores": [
    {
      "team_id": "<string>",
      "team_name": "<string>",
      "score": 123,
      "is_eligible": true,
      "components": [
        {
          "label": "<string>",
          "score": 123,
          "weight": 123,
          "weighted_score": 123,
          "factors": [
            "<string>"
          ]
        }
      ],
      "total_assessments": 123,
      "last_assessed": "2023-11-07T05:31:56Z",
      "trend_30d": 123,
      "computed_at": "2023-11-07T05:31:56Z",
      "member_count": 123,
      "a2a_trust_extension": {
        "extension_uri": "<string>",
        "provider": "<string>",
        "score": 123,
        "grade": "<string>",
        "confidence": "<string>",
        "member_count": 123,
        "verified_url": "<string>",
        "badge_url": "<string>",
        "methodology_url": "<string>",
        "last_updated": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Body

application/json
team_ids
string[]
required
Maximum array length: 50

Response

Scores.

scores
object[]